macOS 10.14.2: other than name in menubar, nothing

Bug #1811603 reported by Charles Lindauer on 2019-01-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
DDRescue-GUI
Undecided
Hamish McIntyre-Bhatty

Bug Description

I downloaded and installed today on Mac Pro 5,1 Mac os 10.14.2. I opened the app, and can see that it is open, and see the app name next to the Apple menu, but other than that, I can't see anything to work with. Clicking on the DDRescye-GUI menu results in the text blinking but nothing else.

I installed DDRescue using Terminal before I installed DDRescue-GUI

Charles Lindauer (chazmacs) wrote :

I just tried again, and this time I briefly saw the opening graphic, but then nothing. I have to force quit. I would love to use this, but can't!

Hi.

Thanks for reporting this. What version of DDRescue-GUI are you running? The latest version is 2.0.1.

I have found that under macOS 10.14, you need to confirm that DDRescue-GUI is allowed to send notifications (when it starts) for it to work properly. Did you cancel the popup request from macOS?

Hamish

Changed in ddrescue-gui:
assignee: nobody → Hamish McIntyre-Bhatty (hamishmb)
summary: - other than name in menubar, nothing
+ macOS 10.14.2: other than name in menubar, nothing

I can't seem to reproduce this error yet, but I did find a different one, so I am still investigating this issue.

Also, bear in mind a lot of files need to be loaded when it starts - it might just take a long time to open fully. Still investigating.

Changed in ddrescue-gui:
status: New → Incomplete

I am runnn8ng the latest version, and never saw any pop up. I only saw a brief graphic with the name and then nothing.

Charles Lindauer
Lindauer Mac Consulting
http://www.LindauerMacs.com
<email address hidden> 707-479-6170

> On Jan 14, 2019, at 2:46 AM, Hamish McIntyre-Bhatty <email address hidden> wrote:
>
> Hi.
>
> Thanks for reporting this. What version of DDRescue-GUI are you running?
> The latest version is 2.0.1.
>
> I have found that under macOS 10.14, you need to confirm that DDRescue-
> GUI is allowed to send notifications (when it starts) for it to work
> properly. Did you cancel the popup request from macOS?
>
> Hamish
>
> ** Changed in: ddrescue-gui
> Assignee: (unassigned) => Hamish McIntyre-Bhatty (hamishmb)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1811603
>
> Title:
> other than name in menubar, nothing
>
> Status in DDRescue-GUI:
> New
>
> Bug description:
> I downloaded and installed today on Mac Pro 5,1 Mac os 10.14.2. I
> opened the app, and can see that it is open, and see the app name next
> to the Apple menu, but other than that, I can't see anything to work
> with. Clicking on the DDRescye-GUI menu results in the text blinking
> but nothing else.
>
> I installed DDRescue using Terminal before I installed DDRescue-GUI
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ddrescue-gui/+bug/1811603/+subscriptions

Thanks for working on this. How long should I wait? My Mac is not terribly slow, as my boot dive is a SSD, even though it’s an older Mac.

Charles Lindauer
Lindauer Mac Consulting
http://www.LindauerMacs.com
<email address hidden> 707-479-6170

> On Jan 14, 2019, at 5:57 AM, Hamish McIntyre-Bhatty <email address hidden> wrote:
>
> Also, bear in mind a lot of files need to be loaded when it starts - it
> might just take a long time to open fully. Still investigating.
>
> ** Changed in: ddrescue-gui
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1811603
>
> Title:
> macOS 10.14.2: other than name in menubar, nothing
>
> Status in DDRescue-GUI:
> Incomplete
>
> Bug description:
> I downloaded and installed today on Mac Pro 5,1 Mac os 10.14.2. I
> opened the app, and can see that it is open, and see the app name next
> to the Apple menu, but other than that, I can't see anything to work
> with. Clicking on the DDRescye-GUI menu results in the text blinking
> but nothing else.
>
> I installed DDRescue using Terminal before I installed DDRescue-GUI
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ddrescue-gui/+bug/1811603/+subscriptions

Not too long, maybe 20 seconds at the very longest.

I can't seem to reproduce this at my end. Hmm, are you familiar with the
terminal? If you could run a command or two for me that could give me
more insight into what's happening.

Hamish

On 14/01/2019 16:03, Charles Lindauer wrote:
> Thanks for working on this. How long should I wait? My Mac is not
> terribly slow, as my boot dive is a SSD, even though it’s an older Mac.
>
>
> Charles Lindauer
> Lindauer Mac Consulting
> http://www.LindauerMacs.com
> <email address hidden> 707-479-6170
>
>> On Jan 14, 2019, at 5:57 AM, Hamish McIntyre-Bhatty <email address hidden> wrote:
>>
>> Also, bear in mind a lot of files need to be loaded when it starts - it
>> might just take a long time to open fully. Still investigating.
>>
>> ** Changed in: ddrescue-gui
>> Status: New => Incomplete
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1811603
>>
>> Title:
>> macOS 10.14.2: other than name in menubar, nothing
>>
>> Status in DDRescue-GUI:
>> Incomplete
>>
>> Bug description:
>> I downloaded and installed today on Mac Pro 5,1 Mac os 10.14.2. I
>> opened the app, and can see that it is open, and see the app name next
>> to the Apple menu, but other than that, I can't see anything to work
>> with. Clicking on the DDRescye-GUI menu results in the text blinking
>> but nothing else.
>>
>> I installed DDRescue using Terminal before I installed DDRescue-GUI
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ddrescue-gui/+bug/1811603/+subscriptions

Charles Lindauer (chazmacs) wrote :

I’d be happy to. I’m leaving in a few minutes, be back around 3:30-4 Pacific Standard time this afternoon.

Charles Lindauer
Lindauer Mac Consulting
http://www.LindauerMacs.com
<email address hidden> 707-479-6170

> On Jan 14, 2019, at 10:30 AM, Hamish McIntyre-Bhatty <email address hidden> wrote:
>
> Not too long, maybe 20 seconds at the very longest.
>
> I can't seem to reproduce this at my end. Hmm, are you familiar with the
> terminal? If you could run a command or two for me that could give me
> more insight into what's happening.
>
> Hamish
>
>> On 14/01/2019 16:03, Charles Lindauer wrote:
>> Thanks for working on this. How long should I wait? My Mac is not
>> terribly slow, as my boot dive is a SSD, even though it’s an older Mac.
>>
>>
>> Charles Lindauer
>> Lindauer Mac Consulting
>> http://www.LindauerMacs.com
>> <email address hidden> 707-479-6170
>>
>>> On Jan 14, 2019, at 5:57 AM, Hamish McIntyre-Bhatty <email address hidden> wrote:
>>>
>>> Also, bear in mind a lot of files need to be loaded when it starts - it
>>> might just take a long time to open fully. Still investigating.
>>>
>>> ** Changed in: ddrescue-gui
>>> Status: New => Incomplete
>>>
>>> --
>>> You received this bug notification because you are subscribed to the bug
>>> report.
>>> https://bugs.launchpad.net/bugs/1811603
>>>
>>> Title:
>>> macOS 10.14.2: other than name in menubar, nothing
>>>
>>> Status in DDRescue-GUI:
>>> Incomplete
>>>
>>> Bug description:
>>> I downloaded and installed today on Mac Pro 5,1 Mac os 10.14.2. I
>>> opened the app, and can see that it is open, and see the app name next
>>> to the Apple menu, but other than that, I can't see anything to work
>>> with. Clicking on the DDRescye-GUI menu results in the text blinking
>>> but nothing else.
>>>
>>> I installed DDRescue using Terminal before I installed DDRescue-GUI
>>>
>>> To manage notifications about this bug go to:
>>> https://bugs.launchpad.net/ddrescue-gui/+bug/1811603/+subscriptions
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1811603
>
> Title:
> macOS 10.14.2: other than name in menubar, nothing
>
> Status in DDRescue-GUI:
> Incomplete
>
> Bug description:
> I downloaded and installed today on Mac Pro 5,1 Mac os 10.14.2. I
> opened the app, and can see that it is open, and see the app name next
> to the Apple menu, but other than that, I can't see anything to work
> with. Clicking on the DDRescye-GUI menu results in the text blinking
> but nothing else.
>
> I installed DDRescue using Terminal before I installed DDRescue-GUI
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ddrescue-gui/+bug/1811603/+subscriptions

Sorry - couldn't log in again yesterday for some reason.

Okay. Could you open the Terminal and run:

"/Applications/DDRescue-GUI.app/Contents/MacOS/DDRescue-GUI"

(Without the quotes)

Then, could you paste any output you see in the terminal on here please?

Also, after running DDRescue-GUI, if you could upload /tmp/ddrescue-gui.log that would be great.

Thanks,
Hamish

Changed in ddrescue-gui:
milestone: none → 2.0.1
Changed in ddrescue-gui:
milestone: 2.0.1 → 2.0.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers